# Software architecture
This site is currently under development. \emoji construction

<!-- 
## Module structure
'main.py' runs the following functions:
1. 'data_preprocessing' (from 'datapreprocessing.py')<sup>1</sup>
   - 1.1  
2. 'run_module' (from 'methodexecutionpackage' library)<sup>2</sup>
   - 2.1
3. 'data_postprocessing' (from 'datapostprocessing.py')<sup>3</sup>

<sup>1</sup> data preprocessing runs: \
<sup>2</sup> \
<sup>3</sup> data_postprocessing runs: ...

...


### Routing layers
The tank design module has the following layer structure:

1. Aircraft configuration
   - Implemented: 'tube_and_wing'
   - Not yet implemented: 'blended_wing_body'
2. Calculation method fidelity
   - Implemented: 'empirical'
3. Calculation method
   - Implemented: 'tank_design_tu_berlin'
4. Energy carrier <sup>1</sup>
   - Implemented: 'kerosene'
   - Not yet implemented: 'liquid_hydrogen', 'hybrid'

<sup>1</sup> The used energy carrier is determined automatically in the 'read_energy_carrier_and_tank_configuration' function. -->
